Skip to main content
GET
Get workspace analytics
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Must be application/json.

Available options:
application/json

Query Parameters

from_date
string<date>

Only count recordings created on or after this date, in YYYY-MM-DD format. Filters on when a recording was created, not when it was viewed.

Example:

"2026-01-01"

to_date
string<date>

Only count recordings created on or before this date, in YYYY-MM-DD format.

Example:

"2026-06-30"

Response

Successfully retrieved analytics.

total_recordings
integer

Number of uploaded recordings in the workspace, within the date range when one is given.

Example:

95

total_views
integer

Sum of views across those recordings.

Example:

1840

top_recordings
object[]

The ten most watched recordings, most viewed first.